# React Buttons Components

## What's Included in the React Buttons Package

The React Buttons package includes the following list of components.

### React Button

The [React Button](https://www.syncfusion.com/react-components/react-button?utm_source=npm&utm_medium=listing&utm_campaign=react-buttons-npm) component is a custom HTML5 button component. It has several built-in features such as support for icons, predefined styles, different button types, different button sizes, and UI customization.

<p align="center">
    <a href="https://ej2.syncfusion.com/react/documentation/button/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=react-buttons-npm">Getting Started</a> .
    <a href="https://ej2.syncfusion.com/react/demos/?utm_source=npm&utm_medium=listing&utm_campaign=react-buttons-npm#/bootstrap5/button/default">Online demos</a> .
    <a href="https://www.syncfusion.com/react-components/react-button?utm_source=npm&utm_medium=listing&utm_campaign=react-buttons-npm">Learn more</a>
</p>

<p align="center">
<img alt="React Button Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/react/react-button.png">
</p>

#### Key features

* [Types](https://ej2.syncfusion.com/react/documentation/button/types-and-styles#button-types) - Provided with different types of Button.
* [Predefined styles](https://ej2.syncfusion.com/react/documentation/button/types-and-styles#button-styles) - Provided with predefined styles of Button.
* [Sizes](https://ej2.syncfusion.com/react/documentation/button/types-and-styles#button-size) - Provided with different sizes of Button.
* [Icons](https://ej2.syncfusion.com/react/documentation/button/types-and-styles#icons) - Supports text and icon on the Button.

### React CheckBox

The [React CheckBox](https://www.syncfusion.com/react-components/react-checkbox?utm_source=npm&utm_medium=listing&utm_campaign=react-buttons-npm) component is a custom checkbox-type HTML5 input component for selecting one or more options from a list of predefined choices. It supports an indeterminate state, different sizes, custom labels and positions, and UI customization.

<p align="center">
    <a href="https://ej2.syncfusion.com/react/documentation/check-box/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=react-buttons-npm">Getting Started</a> .
    <a href="https://ej2.syncfusion.com/react/demos/?utm_source=npm&utm_medium=listing&utm_campaign=react-buttons-npm#/bootstrap5/button/checkbox">Online demos</a> .
    <a href="https://www.syncfusion.com/react-components/react-checkbox?utm_source=npm&utm_medium=listing&utm_campaign=react-buttons-npm">Learn more</a>
</p>

<p align="center">
<img alt="React CheckBox Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/react/react-checkbox.png">
</p>

#### Key features

* [States](https://ej2.syncfusion.com/react/documentation/check-box/getting-started#change-the-checkbox-state) - Provided with different states of CheckBox.
* [Label](https://ej2.syncfusion.com/react/documentation/check-box/label-and-size#label) - Supports label and its positioning.
* [Sizes](https://ej2.syncfusion.com/react/documentation/check-box/label-and-size#size) - Provided with different sizes of CheckBox.

### React RadioButton

The [React RadioButton](https://www.syncfusion.com/react-components/react-radio-button?utm_source=npm&utm_medium=listing&utm_campaign=react-buttons-npm) component is a custom radio-type HTML5 input component for selecting one option from a list of predefined choices. It supports different states, sizes, labels, label positions, and UI customizations.

<p align="center">
    <a href="https://ej2.syncfusion.com/react/documentation/radio-button/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=react-buttons-npm">Getting Started</a> .
    <a href="https://ej2.syncfusion.com/react/demos/?utm_source=npm&utm_medium=listing&utm_campaign=react-buttons-npm#/bootstrap5/button/radio-button">Online demos</a> .
    <a href="https://www.syncfusion.com/react-components/react-radio-button?utm_source=npm&utm_medium=listing&utm_campaign=react-buttons-npm">Learn more</a>
</p>

<p align="center">
<img alt="React RadioButton Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/react/react-radio-button.png">
</p>

#### Key features

* [States](https://ej2.syncfusion.com/react/documentation/radio-button/getting-started#change-the-radiobutton-state) - Provided with different states of RadioButton.
* [Label](https://ej2.syncfusion.com/react/documentation/radio-button/label-and-size#label) - Supports label and its positioning.
* [Sizes](https://ej2.syncfusion.com/react/documentation/radio-button/label-and-size#size) - Provided with different sizes of RadioButton.

### React Switch

The [React Switch](https://www.syncfusion.com/react-components/react-toggle-switch-button?utm_source=npm&utm_medium=listing&utm_campaign=react-buttons-npm) component is a custom HTML5 input-type component control that allows you to perform a toggle (on/off) action between checked and unchecked states. It supports different sizes, labels, label positions, and UI customization.

<p align="center">
    <a href="https://ej2.syncfusion.com/react/documentation/switch/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=react-buttons-npm">Getting Started</a> .
    <a href="https://ej2.syncfusion.com/react/demos/?utm_source=npm&utm_medium=listing&utm_campaign=react-buttons-npm#/bootstrap5/button/switch">Online demos</a> .
    <a href="https://www.syncfusion.com/react-components/react-toggle-switch-button?utm_source=npm&utm_medium=listing&utm_campaign=react-buttons-npm">Learn more</a>
</p>

<p align="center">
<img alt="React Switch Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/react/react-toggle-switch-button.png">
</p>

#### Key features

* [Text](https://ej2.syncfusion.com/react/documentation/switch/getting-started#set-text-on-switch) - Supports text.
* [Sizes](https://ej2.syncfusion.com/react/documentation/switch/how-to#change-size) - Provided with different sizes of Switch.

<p align="center">
Trusted by the world's leading companies
  <a href="https://www.syncfusion.com/">
    <img src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/syncfusion/syncfusion-trusted-companies.webp" alt="Syncfusion logo">
  </a>
</p>

## Setup

To install `buttons` and its dependent packages, use the following command.

```sh
npm install @syncfusion/ej2-react-buttons
```

## Supported frameworks

Button components are offered in following list of frameworks.

| [<img src="https://ej2.syncfusion.com/github/images/js.svg" height="50" />](https://www.syncfusion.com/javascript-ui-controls?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_medium=listing&utm_source=github)&nbsp;&nbsp;&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/angular.svg"  height="50" />](https://www.syncfusion.com/angular-components/?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[Angular](https://www.syncfusion.com/angular-components/?utm_medium=listing&utm_source=github)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/vue.svg" height="50" />](https://www.syncfusion.com/vue-ui-components?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[Vue](https://www.syncfusion.com/vue-ui-components?utm_medium=listing&utm_source=github)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/netcore.svg" height="50" />](https://www.syncfusion.com/aspnet-core-ui-controls?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;[ASP.NET&nbsp;Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_medium=listing&utm_source=github)&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/netmvc.svg" height="50" />](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;[ASP.NET&nbsp;MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_medium=listing&utm_source=github)&nbsp;&nbsp; | 
| :-----: | :-----: | :-----: | :-----: | :-----: |

## Showcase samples

* Loan Calculator - [Source](https://github.com/syncfusion/ej2-showcase-react-loan-calculator), [Live Demo](https://ej2.syncfusion.com/showcase/react/loancalculator/?utm_source=npm&utm_medium=listing&utm_campaign=react-button-npm#/default)

## Support

Product support is available through following mediums.

* [Support ticket](https://support.syncfusion.com/support/tickets/create) - Guaranteed Response in 24 hours | Unlimited tickets | Holiday support
* [Community forum](https://www.syncfusion.com/forums/essential-js2?utm_source=npm&utm_medium=listing&utm_campaign=react-buttons-npm)
* [GitHub issues](https://github.com/syncfusion/ej2-react-ui-components/issues/new)
* [Request feature or report bug](https://www.syncfusion.com/feedback/react?utm_source=npm&utm_medium=listing&utm_campaign=react-buttons-npm)
* Live chat

## Changelog

Check the changelog [here](https://github.com/syncfusion/ej2-react-ui-components/blob/master/components/buttons/CHANGELOG.md). Get minor improvements and bug fixes every week to stay up to date with frequent updates.

## License and copyright

> This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of Syncfusion's [EULA](https://www.syncfusion.com/eula/es/). To acquire a license for 80+ [React UI components](https://www.syncfusion.com/react-components), you can [purchase](https://www.syncfusion.com/sales/products) or [start a free 30-day trial](https://www.syncfusion.com/account/manage-trials/start-trials).

> A free community [license](https://www.syncfusion.com/products/communitylicense) is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

See [LICENSE FILE](https://github.com/syncfusion/ej2-react-ui-components/blob/master/license) for more info.

© Copyright 2023 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.